> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List phone numbers



## OpenAPI

````yaml /openapi/en/waba_rest/waba_restapi_v1.yaml post /whatsapp/phone_numbers/list
openapi: 3.1.0
info:
  title: WhatsApp Business Partner API (REST API)
  description: |
    API for onboarding and managing WhatsApp Business accounts.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Responds with your request data
security: []
paths:
  /whatsapp/phone_numbers/list:
    post:
      tags:
        - WhatsApp Business Partner API
      summary: List phone numbers
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                waba_id:
                  type: string
                  example: ''
                  description: WABA ID to list phone numbers for.
      responses:
        '200':
          description: List of phone numbers
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status.
                    example: true
                  phone_numbers:
                    type: array
                    description: List of phone numbers.
                    items:
                      type: object
                      properties:
                        phone_number:
                          type: string
                          description: Phone number.
                        phone_number_id:
                          type: string
                          description: Phone number ID.
                        status:
                          type: string
                          description: Phone number status.

````